- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- RegionalManagedCertificateAuthority
- RegionalCertChain
Gets the details of shared regional certificate authority information for Memorystore instance.
HTTP request
GET https://memorystore.googleapis.com/v1alpha/{name=projects/*/locations/*/sharedRegionalCertificateAuthority} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Regional certificate authority resource name using the form: |
Request body
The request body must be empty.
Response body
Shared regional certificate authority for an instance.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"name": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"managedServerCa": {
object ( |
| Fields | |
|---|---|
name |
Identifier. Unique name of the resource in this scope including project and location using the form: |
| Server ca information. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
managedServerCa |
CA certificate chains for memorystore managed server authentication. |
| End of mutually exclusive fields. | |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-write
RegionalManagedCertificateAuthority
CA certificate chains for memorystore managed server authentication.
| JSON representation |
|---|
{
"caCerts": [
{
object ( |
| Fields | |
|---|---|
caCerts[] |
The PEM encoded CA certificate chains for memorystore managed server authentication |
RegionalCertChain
The certificates that form the CA chain, from leaf to root order.
| JSON representation |
|---|
{ "certificates": [ string ] } |
| Fields | |
|---|---|
certificates[] |
The certificates that form the CA chain, from leaf to root order. |